Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/28/2019 in all areas

  1. Another method would be to draw a rectangle larger than the circles (so they are inside the box) and then use the "boundary" command, make sure island detection is turned on and then pick a point inside the box, but outside the circles, and it will draw a polyline for you tracing the outer edge of all the inner circles. Then delete the bits you no longer need.
    2 points
  2. Here's a start - (defun c:col2lay ( / c i l s x ) (if (setq s (ssget "_X" '((410 . "Model")))) (repeat (setq i (sslength s)) (setq i (1- i) x (entget (ssname s i)) l (cond ( (setq c (cdr (assoc 420 x))) (LM:true->rgb c)) ( (setq c (cdr (assoc 062 x))) (list c)) ( '(256) ) ) ) (entmod (subst (cons 8 (apply 'strcat (mapcar 'strcat '("Layer_""_""_") (mapcar 'itoa l)))) (assoc 8 x) x)) ) ) (princ) ) ;; True -> RGB - Lee Mac ;; Args: c - [int] True Colour (defun LM:true->rgb ( c ) (mapcar '(lambda ( x ) (lsh (lsh (fix c) x) -24)) '(8 16 24)) ) (princ)
    1 point
  3. There is a "SVY_VEHICLETRACKING_DATA" dictionary in the namedobjdict. This code will get rid of it (tested on BricsCAD). You may have to open the files in 'Vanilla' AutoCAD to be able to batch process them without popup messages. Or use the code before saving to the 2013 format. Note: use at your own risk! (defun c:Del_VTD ( / enm) (if (setq enm (cdr (assoc -1 (dictsearch (namedobjdict) "SVY_VEHICLETRACKING_DATA")))) (progn (vla-delete (vlax-ename->vla-object enm)) ; Entdel does not work (BricsCAD). (if (vlax-erased-p enm) (princ "\nSVY_VEHICLETRACKING_DATA dictionary has been erased ") ) ) ) (princ) )
    1 point
×
×
  • Create New...